/**
 * Copyright 2006-2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.log;

import org.ow2.util.log.internal.SystemLog;

/**
 * This factory delegates to a simple System logger using System.out / System.err.
 * It is the default LogFactory and is intended to be replaced with more advanced logging system.
 * @author Florent Benoit
 */
public final class LogFactory {

    /**
     * Utility class, no public constructor.
     */
    private LogFactory() {}

    /**
     * Factory method used to return a logger.
     * @param clazz a class used as a key for the logger
     * @return an EasyBeans logger.
     */
    public static Log getLog(final Class<?> clazz) {
        return new SystemLog();
    }
}
